omohayui blog

web開発のことやら絵のことやら日常のことやらを、たまに書き出します。

OMOHAYUI.

おも‐はゆ・い【面映ゆい】[形][文]おもはゆ・し[ク]《顔を合わせるとまばゆく感じられる意》きまりが悪い。てれくさい。

phpMyAdminの脆弱性をついた攻撃

趣味で作成中のサイトに、アムステルダム辺りから謎アクセスが結構きていた。

# 例)
[18/Jul/2015:04:06:34 +0900] "GET //phpMyAdmin/scripts/setup.php HTTP/1.1" 404 1564 "-" "-"
[18/Jul/2015:04:06:34 +0900] "GET /muieblackcat HTTP/1.1" 404 1564 "-" "-"
[18/Jul/2015:04:06:34 +0900] "GET //phpmyadmin/scripts/setup.php HTTP/1.1" 404 1564 "-" "-"
[18/Jul/2015:04:06:34 +0900] "GET //myadmin/scripts/setup.php HTTP/1.1" 404 1564 "-" "-"

調べたらphpMyAdmin脆弱性をついた攻撃だった。 もともと2009年に報告されている脆弱性だが、 今でも放置されているサイトがごまんとある為、乗っ取りを狙ったアクセスが絶えない模様。

ていうかまだ全然コンテンツとしてはリリースしてないんだけど、 ドメイン名から辿り着くのかな。

そもそもPHPでなく、Railsで作成中のサイトなので全く影響はないのですが、こわいなーと思ったしだいでした。